Lavalite package that provides faqadmin management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/faqadmin`.

    "b2buy/faqadmin": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\Faqadmin\Providers\FaqadminServiceProvider::class,

And also add it to alias

    'Faqadmin'  => B2buy\Faqadmin\Facades\Faqadmin::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\FaqadminTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\Faqadmin\Providers\FaqadminServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\Faqadmin\Providers\FaqadminServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\Faqadmin\Providers\FaqadminServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/faqadmin/{modulename}

**User**

    http://path-to-route-folder/user/faqadmin/{modulename}

**Public**

    http://path-to-route-folder/faqadmins


### API endpoints

**List**

    http://path-to-route-folder/api/user/faqadmin/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/faqadmin/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/faqadmin/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/faqadmin/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/faqadmin/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/faqadmin/{modulename}/{slug}
    METHOD: GET